﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace ClickDataPoint
{
	public class MapDataModel : ViewModelBase
	{
		private ObservableCollection<DataPoint> collection;

		public MapDataModel()
		{
			this.Points = new ObservableCollection<DataPoint>();
		}

		public ObservableCollection<DataPoint> Points
		{
			get
			{
				return this.collection;
			}

			private set
			{
				this.collection = value;
                this.OnPropertyChanged("Points");
			}
		}
	}
}
